{% macro input_level_price(id = 'basic') %}
    <div id="{{ id|replace({' ':''}) }}">

    </div>
{% endmacro %}

{% macro input_level_price_js(id = 'basic') %}
    <script>
        $.get('{{ path('get-level') }}', function (data) {
            if (data['code'] === 200) {
                $.each(data['payload'], function (key, val) {
                    {#$('#{{ id|replace({' ':''}) }}').append(' <div class="form-group">\n' +#}
                    {#    '                                    <div class="custom-control custom-checkbox ">\n' +#}
                    {#    '                                        <input id="id{{ id|replace({' ':''}) }}' + val['name'] + '"  name="idPricing[]" hidden>' +#}
                    {#    '                                        <input id="check{{ id|replace({' ':''}) }}' + val['name'] + '"  name="{{ id|replace({' ':''}) }}level[]" hidden>' +#}
                    {#    '                                        <input data-val="'+val['id']+'" type="checkbox" class="custom-control-input checktext" id="{{ id|replace({' ':''}) }}' + val['name'] + '">\n' +#}
                    {#    '                                        <label class="custom-control-label" for="{{ id|replace({' ':''}) }}' + val["name"] + '">' + val['name'] + '</label>\n' +#}
                    {#    '                                        <input type="text" class="form-control rupiah"  id="text{{ id|replace({' ':''}) }}' + val['name'] + '" name="{{ id|replace({' ':''}) }}price[]" placeholder="20,000">\n' +#}
                    {#    '                                    </div>\n' +#}
                    {#    '                                </div>');#}

                    $('#{{ id|replace({' ':''}) }}').append(' <div class="form-group">\n' +
                        '                                    <div class="custom-control ">\n' +
                        '                                        <input class="idPricing" id="id{{ id|replace({' ':''}) }}' + val['name'] + '"  name="idPricing[]" hidden >' +
                        '                                        <input class="idLevel" id="check{{ id|replace({' ':''}) }}' + val['name'] + '"  name="{{ id|replace({' ':''}) }}level[]" value="'+val['id']+'" hidden >' +
                        {#'                                        <input data-val="'+val['id']+'" type="checkbox" class="custom-control-input checktext" id="{{ id|replace({' ':''}) }}' + val['name'] + '">\n' +#}
                        '                                        <label class="" for="{{ id|replace({' ':''}) }}' + val["name"] + '">' + val['name'] + '</label>\n' +
                        '                                        <input type="text" class="form-control rupiah" required  id="text{{ id|replace({' ':''}) }}' + val['name'] + '" name="{{ id|replace({' ':''}) }}price[]" value="" placeholder="Masukkan harga">\n' +
                        '                                    </div>\n' +
                        '                                </div>');

                    {#$("#{{ id|replace({' ':''}) }}" + val['name']).prop("checked", false);#}
                    {#$('#text{{ id|replace({' ':''}) }}' + val['name']).attr('disabled', '');#}
                });
                currencyClass('rupiah');
                $('.checktext').click(function (ev) {
                    if ($(this).prop("checked") == true) {

                        $('#check'+ev.currentTarget.getAttribute('id')).attr('value',ev.currentTarget.getAttribute('data-val'));
                        $('#text'+ev.currentTarget.getAttribute('id')).attr('required','');
                        // $('#check'+ev.currentTarget.getAttribute('id')).removeAttr('disabled');
                        // $('#id'+ev.currentTarget.getAttribute('id')).removeAttr('disabled');
                        // $('#text' + $(this).attr('id')).removeAttr('disabled');
                    } else if ($(this).prop("checked") === false) {
                        $('#check'+ev.currentTarget.getAttribute('id')).removeAttr('value');
                        // $('#check'+ev.currentTarget.getAttribute('id')).attr('disabled','');
                        // $('#id'+ev.currentTarget.getAttribute('id')).attr('disabled','');
                        $('#text'+ev.currentTarget.getAttribute('id')).removeAttr('required');

                        // $('#text' + $(this).attr('id')).attr('disabled', '');
                        $('#text' + $(this).attr('id')).val('');

                    }
                });
            }
        });

    </script>
{% endmacro %}